@mixin underline-animation-container(
  $underlineColor: $color_secundary,
  $txtColor: $color_black
) {
  display: inline-block;
  position: relative;
  color: $txtColor;

  &:after {
    content: "";
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: $underlineColor;
    transform-origin: bottom right;
    transition: transform 0.25s ease-out;
  }

  &:hover:after {
    transform: scaleX(1);
    transform-origin: bottom left;
  }
}
